DCOPReply Class Reference

`#include <dcopref.h>`

## Public Member Functions

template<class T >
| operator T ()
template<class T >
bool | get (T &t, const char *tname)
template<class T >
bool | get (T &t)
bool | isValid () const

## Public Attributes

QByteArray | data
QCString | type

## Detailed Description

Represents the return value of a DCOPRef:call() or DCOPRef:send() invocation.

See also
  DCOPRef
  DCOPRef::call()
  DCOPArg

Since
  3.1

Definition at line 44 of file dcopref.h.

## Member Function Documentation

template<class T >

bool DCOPReply::get | ( | T & | t,
|  | const char * | tname
| ) |  |

inline

Retrieves the value from the type `T`.

Requires that the type `T` suppports QDataStream deserialisation.

Parameters

  t | the type will be written here, if successful
  tname | the signature type name

Returns
  true if successful, false otherwise

Definition at line 70 of file dcopref.h.

template<class T >

bool DCOPReply::get | ( | T & | t | ) |

inline

Retrieves the value from the type `T`.

Requires that the type `T` suppports QDataStream deserialisation and has a function dcopTypeName(T). This is true for most basic types.

Parameters

  t | the type will be written here, if successful

Returns
  true if successful, false otherwise

Definition at line 86 of file dcopref.h.

bool DCOPReply::isValid | ( |  | ) | const

inline

Checks whether the type is valid.

Returns
  true if valid, false otherwise

Definition at line 99 of file dcopref.h.

template<class T >

DCOPReply::operator T | ( |  | ) |

inline

Casts the value to the type `T`.

Requires that the type `T` suppports QDataStream deserialisation and has a function dcopTypeName(T). This is true for most basic types.

Definition at line 54 of file dcopref.h.

## Member Data Documentation

QByteArray DCOPReply::data

The serialized data.

Definition at line 102 of file dcopref.h.

QCString DCOPReply::type

The name of the type, or 0 if unknown.

Definition at line 104 of file dcopref.h.

The documentation for this class was generated from the following files:

- dcopref.h
- dcopref.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys